Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.event.progress
Class StateChangeEventParam

    java.lang.Object
      org.mozilla.jrex.event.progress.StateChangeEventParam

public class StateChangeEventParam
extends Object

The class wrapping the state change progress event parameters.

Version:
  1.0
Author:
  C.N.Medappa

Constructor Summary
`StateChangeEventParam(int stateFlags, int status, Hashtable reqHeaders, Hashtable respHeaders)` StateChangeEventParam constructor

Method Summary
`Hashtable` | `getRequestHeaders()` Returns the Request Headers associated with the Loading Page.
`Hashtable` | `getResponseHeaders()` Returns the Response Headers associated with the Loading Page.
`int` | `getStateFlags()` Returns the state flags associated with the event.
`int` | `getStatus()` Returns the status associated with the event.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StateChangeEventParam

    public StateChangeEventParam(int stateFlags,
                                 int status,
                                 Hashtable reqHeaders,
                                 Hashtable respHeaders)

  StateChangeEventParam constructor

Parameters:
  `stateFlags` - state flags associated with the event.
  `status` - status associated with the event.
  `reqHeaders` - List of Request Headers associated with the Loading Page.
  `respHeaders` - List of Response Headers associated with the Loading Page.
See Also:
  `ProgressEventConstants`

Method Detail

### getStateFlags

    public int getStateFlags()

  Returns the state flags associated with the event.

### getStatus

    public int getStatus()

  Returns the status associated with the event.

### getRequestHeaders

    public Hashtable getRequestHeaders()

  Returns the Request Headers associated with the Loading Page.

### getResponseHeaders

    public Hashtable getResponseHeaders()

  Returns the Response Headers associated with the Loading Page.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.